#ifndef DetectorConstruction_h
#define DetectorConstruction_h 1

#include "G4VUserDetectorConstruction.hh"

class G4LogicalVolume;

class DetectorConstruction : public G4VUserDetectorConstruction
{
  public:
    DetectorConstruction();
    virtual ~DetectorConstruction();

    virtual G4VPhysicalVolume* Construct() override;
    virtual void ConstructSDandField() override;

    G4LogicalVolume* GetScoringVolume() const { return fScoringVolume; }

  private:
    G4LogicalVolume* fScoringVolume;
    G4LogicalVolume* fAnodeLogical;
    G4LogicalVolume* fCathodeLogical;
    G4LogicalVolume* fSX3Logical;
    G4LogicalVolume* fQQQLogical;
};

#endif